<mat-nav-list>
  <a mat-list-item [routerLink]="'/dashboard'">
    <mat-icon>home</mat-icon> <span class="nav-caption">Home</span>
  </a>
  <a mat-list-item [routerLink]="'/self-service'">
    <mat-icon>touch_app</mat-icon> <span class="nav-caption">Self-service</span>
  </a>
  <mat-accordion>
    <mat-expansion-panel class="mat-elevation-z0">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <mat-icon>trending_up</mat-icon>แผนการจัดซื้อจัดจ้าง
        </mat-panel-title>
      </mat-expansion-panel-header>
      <mat-nav-list>
        <a mat-list-item #menuTrigger="matMenuTrigger" [matMenuTriggerFor]="annualplan">
          <mat-icon>more_horiz</mat-icon><span class="nav-caption">แผนการจัดซื้อจัดจ้างประจำปี</span>
        </a>
        <a mat-list-item #menuTrigger="matMenuTrigger" [matMenuTriggerFor]="nonannualplan">
          <mat-icon>more_horiz</mat-icon><span class="nav-caption">แผนการจัดซื้อจัดจ้างที่นอกเหนือแผนประจำปี</span>
        </a>
        <mat-menu #annualplan="matMenu">
          <button [hidden]="this.isOpApp"  mat-menu-item [routerLink]="'/UserListPlan/PLAN/ALL'">รายการของฉัน (ทั้งหมด)</button>
          <button [hidden]="this.isOpApp" mat-menu-item [routerLink]="'/PlaningSummaryTree/PLAN'">รายการรอพิจารณา</button>
          <button [hidden]="this.isMaker" mat-menu-item [routerLink]="'/PsPlaningSummaryTree'">รายการรออนุมัติ ธนาคาร</button>
          <button [hidden]="this.isOpApp" mat-menu-item [routerLink]="'/UserListPlan/PLAN/APP'">รายการที่อนุมัติแล้ว</button>
          <button [hidden]="this.isOpApp" mat-menu-item [routerLink]="'/UserListPlan/PLAN/SAV'">รายการที่ส่งกลับแก้ไข</button>
          <button [hidden]="this.isOpApp" mat-menu-item [routerLink]="'/UserListPlan/PLAN/CAN'">รายการที่ยกเลิก</button>
        </mat-menu>
        <mat-menu #nonannualplan="matMenu">
          <button [hidden]="this.isOpApp" mat-menu-item [routerLink]="'/UserListPlan/NONPLAN/ALL'">รายการของฉัน (ทั้งหมด)</button>
          <button [hidden]="this.isOpApp" mat-menu-item [routerLink]="'/PlaningSummaryTree/NONPLAN'">รายการรอพิจารณา</button>
          <button [hidden]="this.isMaker" mat-menu-item [routerLink]="'/PsPlaningSummaryTree'">รายการรออนุมัติ ธนาคาร</button>
          <button [hidden]="this.isOpApp" mat-menu-item [routerLink]="'/UserListPlan/NONPLAN/APP'">รายการที่อนุมัติแล้ว</button>
          <button [hidden]="this.isOpApp" mat-menu-item [routerLink]="'/UserListPlan/NONPLAN/SAV'">รายการที่ส่งกลับแก้ไข</button>
          <button [hidden]="this.isOpApp" mat-menu-item [routerLink]="'/UserListPlan/NONPLAN/CAN'">รายการที่ยกเลิก</button>
        </mat-menu>
      </mat-nav-list>

    </mat-expansion-panel>
  </mat-accordion>

  <mat-accordion>
    <mat-expansion-panel class="mat-elevation-z0">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <mat-icon>assignment</mat-icon>กระบวนการจัดหาพัสดุ
        </mat-panel-title>
      </mat-expansion-panel-header>
      <mat-nav-list *ngFor="let menu of menuProcurement">
        <a mat-list-item [routerLink]="menu.link">
          <mat-icon *ngIf="menu.icon">{{menu.icon}}</mat-icon> {{menu.title}}
        </a>
      </mat-nav-list>
    </mat-expansion-panel>
  </mat-accordion>

  <mat-accordion>
    <mat-expansion-panel class="mat-elevation-z0" [hidden]="!this.isAdmin">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <mat-icon>supervisor_account</mat-icon>PS Admin
        </mat-panel-title>
      </mat-expansion-panel-header>
      <mat-nav-list>
        <a mat-list-item #menuTrigger="matMenuTrigger" [matMenuTriggerFor]="psannualplan">
          <mat-icon>more_horiz</mat-icon><span class="nav-caption">แผนการจัดซื้อจัดจ้างประจำปี</span>
        </a>
        <a mat-list-item #menuTrigger="matMenuTrigger" [matMenuTriggerFor]="psnonannualplan">
          <mat-icon>more_horiz</mat-icon><span class="nav-caption">แผนการจัดซื้อจัดจ้างที่นอกเหนือแผนประจำปี</span>
        </a>
        <mat-menu #psannualplan="matMenu">
          <button mat-menu-item [routerLink]="'/PsListViewPlan/PLAN'">แผนการจัดซื้อจัดจ้างของสายงานต่างๆ</button>
          <button mat-menu-item [routerLink]="'/PsSubmitPlan/PLAN'">จัดทำรายงานแผนการจัดซื้อจัดจ้าง</button>
        </mat-menu>
        <mat-menu #psnonannualplan="matMenu">
          <button mat-menu-item [routerLink]="'/PsListViewPlan/NONPLAN'">แผนการจัดซื้อจัดจ้างของสายงานต่างๆ</button>
          <button mat-menu-item [routerLink]="'/PsSubmitPlan/NONPLAN'">จัดทำรายงานแผนการจัดซื้อจัดจ้าง</button>
        </mat-menu>
      </mat-nav-list>

    </mat-expansion-panel>
  </mat-accordion>
  <a mat-list-item [routerLink]="'#'">
    <mat-icon>insert_chart_outlined</mat-icon> <span class="nav-caption">ผลการจัดซื้อจัดจ้าง</span>
  </a>
  <a mat-list-item [routerLink]="'/form-agreement-summary'">
    <mat-icon>edit_note</mat-icon> <span class="nav-caption">บริหารสัญญา</span>
  </a>
  <mat-accordion>
    <mat-expansion-panel class="mat-elevation-z0">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <mat-icon>description</mat-icon>รายงาน
        </mat-panel-title>
      </mat-expansion-panel-header>
      <mat-nav-list *ngFor="let menu of menuReport">
        <a mat-list-item [routerLink]="menu.link">
          <mat-icon *ngIf="menu.icon">{{menu.icon}}</mat-icon> {{menu.title}}
        </a>
      </mat-nav-list>
    </mat-expansion-panel>
  </mat-accordion>
  <mat-divider></mat-divider>
  <mat-accordion>
    <mat-expansion-panel class="mat-elevation-z0">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <mat-icon>settings</mat-icon>ปรับแต่ง
        </mat-panel-title>
      </mat-expansion-panel-header>
      <mat-nav-list *ngFor="let menu of menuConfig">
        <a mat-list-item [routerLink]="menu.link">
          <mat-icon *ngIf="menu.icon">{{menu.icon}}</mat-icon> {{menu.title}}
        </a>
      </mat-nav-list>
    </mat-expansion-panel>
  </mat-accordion>
  <a mat-list-item [routerLink]="'#'">
    <mat-icon>supervisor_account</mat-icon> <span class="nav-caption">Supervisor</span>
  </a>
  <mat-divider></mat-divider>
  <a mat-list-item (click)="logOut()">
    <mat-icon>power_settings_new</mat-icon><span class="nav-caption">Log Out</span>
    <!-- <button mat-menu-item routerLink="#">ผลการมอบหมายงาน</button> -->
    <!-- <span class="material-icons-outlined">Log Out</span> -->
  </a>
</mat-nav-list>